export interface Defer<T = any> {
    promise: Promise<T>;
    resolve: (data?: T) => void;
    reject: (error: Error | string) => void;
}
export declare function makeDefer<T>(): Defer<T>;
export declare type EventHandler = (data: any) => void;
export interface EventTrigger {
    addEventListener?(name: string, handler: EventHandler): void;
    removeEventListener?(name: string, handler: EventHandler): void;
    on?(name: string, handler: EventHandler): this;
    off?(name: string, handler: EventHandler): this;
}
